
%define gtk2_version 2.2.0
%define glib2_version 2.2.0
%define nautilus_version 2.2.0
%define desktop_file_utils_version 0.9
%define libgnomeprint_version 2.2.0
%define libgnomeprintui_version 2.2.0
%define redhat_menus_version 1.9

Summary: Image viewer, editor, organizer
Name: gthumb
Version: 2.4.2
Release: 7
URL: http://gthumb.sourceforge.net
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gthumb/2.4/%{name}-%{version}.tar.bz2
License: GPL
Group: User Interface/X
BuildRoot: %{_tmppath}/%{name}-root

BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: nautilus >= %{nautilus_version}
PreReq: desktop-file-utils >= %{desktop_file_utils_version}
BuildRequires: libgnomeprint22-devel >= %{libgnomeprint_version}
BuildRequires: libgnomeprintui22-devel >= %{libgnomeprintui_version}
BuildRequires: libexif-devel
BuildRequires: libgnomeui-devel >= 2.2.0
BuildRequires: libpng-devel
BuildRequires: gettext

# Needed or features are missing
BuildRequires: gphoto2-devel
BuildRequires: libjpeg-devel
BuildRequires: libtiff-devel

Requires: scrollkeeper
Requires: redhat-menus >= %{redhat_menus_version}

Patch0: gthumb-2.4.1-catalog-view.patch
Patch1: gthumb-2.4.2-mimetype.patch
Patch2: gthumb-2.4.2-fix-64-bit.patch

%description
gthumb is an application for viewing, editing, and organizing 
collections of images.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build

%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

rm -rf $RPM_BUILD_ROOT/var/scrollkeeper
find $RPM_BUILD_ROOT -name "*.a" -exec rm {} \;

# replace gthumb desktop file with translation friendly file
/bin/rm -f $RPM_BUILD_ROOT%{_datadir}/applications/gthumb.desktop
ln -sf %{_datadir}/desktop-menu-patches/gthumb.desktop $RPM_BUILD_ROOT%{_datadir}/applications/gthumb.desktop 

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications
scrollkeeper-update
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gthumb.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
scrollkeeper-update
update-desktop-database %{_datadir}/applications

%files -f %{name}.lang
%defattr(-,root,root)

%{_bindir}/*
%{_libexecdir}/*
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/bonobo/*
%{_libdir}/gthumb
%{_datadir}/gthumb
%{_datadir}/gnome
%{_datadir}/gnome-2.0
%{_datadir}/applications
%{_datadir}/application-registry
%{_datadir}/man/man*/*
%{_datadir}/omf
%{_datadir}/pixmaps

%changelog
* Fri Oct 29 2004 David Malcolm <dmalcolm@redhat.com> - 2.4.2-7
- added the patch to CVS this time

* Fri Oct 29 2004 David Malcolm <dmalcolm@redhat.com> - 2.4.2-6
- Added patch to fix 64-bit cleanliness issues in src and libgthumb directories (#137594)

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 2.4.2-3
- PreReq desktop-file-utils >= 0.9

* Wed Sep 29 2004 Ray Strode <rstrode@redhat.com> 2.4.2-2
- Move gthumb.desktop to redhat-menus (#131726)
- Require recent desktop-file-utils
- Call update-desktop-database from %postun

* Mon Sep 13 2004 Christopher Aillon <caillon@redhat.com> 2.4.2-1
  - gthumb.desktop: Add supported mime types (#131740)
  - gthumb.spec: Run update-desktop-database (#131740)
  - Update to 2.4.2

* Mon Aug 23 2004 Christopher Aillon <caillon@redhat.com> 2.4.1-2
- Only use catalog view if the directory has an image file present (alexl)

* Wed Aug 11 2004 Christopher Aillon <caillon@redhat.com> 2.4.1-1
- Update to 2.4.1

* Tue Jun 29 2004 Christopher Aillon <caillon@redhat.com> 2.4.0-1
- Update to 2.4.0

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Apr 13 2004 Warren Togami <wtogami@redhat.com> 2.3.2-2
- #111001 BR: libgnomeui-devel gettext libpng-devel
  BR or missing features: gphoto2-devel libjpeg-devel libtiff-devel

* Fri Apr  2 2004 Mark McLoughlin <markmc@redhat.com> 2.3.2-1
- Update to 2.3.2

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb 25 2004 Alexander Larsson <alexl@redhat.com> 2.3.1-1
- update to 2.3.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Dec 22 2003 Matt Wilson <msw@redhat.com> 2.2.0-1
- 2.2.0

* Wed Jul  9 2003 Havoc Pennington <hp@redhat.com> 2.0.2-1
- 2.0.2
- buildreq libgnomeprint

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Feb  5 2003 Havoc Pennington <hp@redhat.com> 2.0.1-1
- 2.0.1

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan  7 2003 Havoc Pennington <hp@redhat.com>
- 1.108
- disable schema install during makeinstall

* Thu Jan 02 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- require scrollkeeper

* Mon Dec 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild

* Thu Dec 12 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


